## Package mx4j.tools.heartbeat

Interface Summary
HeartBeatCapable: Interface to be implemented by any mbean that may support heartbeat mechanism.
HeartBeatListenerControl: Interface to be implemented by HeartBeatListener.
HeartBeatListenerMBean: Callback interface.
HeartBeatMBean: Interface to be implemented by all modules that want to support heartbeat mechanism.

Class Summary
HeartBeat
HeartBeatConnectorFactory
HeartBeatListener: HeartbeatListener supports multiple observers listening to heartbeat from multiple sources.

Exception Summary
ConnectorException

Copyright © 2001-2003 MX4J Team. All Rights Reserved.